# $Revision: 1.40 $, $Date: 2008/07/27 22:40:53 $
#
# Conditional build:
%bcond_without	tests # do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	PGP
%define		pnam	Sign
Summary:	PGP::Sign Perl module
Summary(cs.UTF-8):	Modul PGP::Sign pro Perl
Summary(da.UTF-8):	Perlmodul PGP::Sign
Summary(de.UTF-8):	PGP::Sign Perl Modul
Summary(es.UTF-8):	Módulo de Perl PGP::Sign
Summary(fr.UTF-8):	Module Perl PGP::Sign
Summary(it.UTF-8):	Modulo di Perl PGP::Sign
Summary(ja.UTF-8):	PGP::Sign Perl モジュール
Summary(ko.UTF-8):	PGP::Sign 펄 모줄
Summary(nb.UTF-8):	Perlmodul PGP::Sign
Summary(pl.UTF-8):	Moduł Perla PGP::Sign
Summary(pt.UTF-8):	Módulo de Perl PGP::Sign
Summary(pt_BR.UTF-8):	Módulo Perl PGP::Sign
Summary(ru.UTF-8):	Модуль для Perl PGP::Sign
Summary(sv.UTF-8):	PGP::Sign Perlmodul
Summary(uk.UTF-8):	Модуль для Perl PGP::Sign
Summary(zh_CN.UTF-8):	PGP::Sign Perl 模块
Name:		perl-PGP-Sign
Version:	0.19
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d7a461db926dd3d826591562135926df
URL:		http://search.cpan.org/dist/PGP-Sign/
BuildRequires:	gnupg
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	gnupg
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PGP::Sign - generates detached PGP signatures for data.

This package was built for using with GnuPG. If you want to use it
with PGP, you need to modify 'Global variables' section in the
PGP/Sign.pm file.

%description -l pl.UTF-8
PGP::Sign - generuje oddzielne sygnatury PGP dla danych.

Ten pakiet został zbudowany do użycia z GnuPG. Jeśli chcesz używać go
z PGP, musisz zmodyfikować sekcję 'Global variables' w pliku
PGP/Sign.pm.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor  \
	PGP=%{_bindir}/gpg \
	PGPSTYLE=GPG

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO
%{perl_vendorlib}/PGP
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-PGP-Sign.spec,v $
Revision 1.40  2008/07/27 22:40:53  arekm
- release 2

Revision 1.39  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.38  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.37  2004/11/03 22:30:38  paladine
- formatting

Revision 1.36  2004/08/08 16:39:08  adamg
- updated to 0.19
- added URL field

Revision 1.35  2004/08/07 16:59:08  adamg
- updated to 0.18

Revision 1.34  2004/06/05 18:10:46  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.33  2004/05/07 01:09:24  ankry
- rel. 3

Revision 1.32  2004/05/06 05:34:00  ankry
- cosmetics

Revision 1.31  2004/04/23 14:50:12  qboosh
- unifications

Revision 1.30  2004/04/22 20:51:07  agaran
- update to new bconds, licence updated

Revision 1.29  2004/02/18 15:51:30  qboosh
- s/no/nb/ in Summary langs

Revision 1.28  2003/09/09 10:24:44  ankry
- spaces -> tab

Revision 1.27  2003/05/28 13:00:56  malekith
- massive attack: source-md5

Revision 1.26  2003/05/25 06:24:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/03/01 20:22:18  radek
- should be ready for perl-5.8.0; release++

Revision 1.24  2003/02/25 00:41:04  radek
- use the __perl macro

Revision 1.23  2003/02/18 15:37:34  ankry
- massive attack: change CPAN URLs

Revision 1.22  2002/09/27 13:38:51  ankry
- added tests on bcond
- version 0.17, release 1

Revision 1.21  2002/07/18 13:42:40  ankry
- translations, cleaning
- new %%doc
- added %%{perl_sitelib}/PGP
- release 8

Revision 1.20  2002/07/10 08:48:27  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.19  2002/05/11 14:28:11  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 10:33:54  depesz
cleanup; revision++

Revision 1.17  2002/02/22 23:29:31  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:19:26  depesz
automatic: Source location unified, Relase Up

Revision 1.15  2002/02/12 01:26:24  kloczek
- release 5.

Revision 1.14  2002/02/10 15:41:13  depesz
adapterized

Revision 1.13  2002/01/18 02:14:24  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/11/28 15:20:21  mis
- buildarch noarch; release++

Revision 1.11  2001/04/17 12:14:10  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/22 20:57:22  kloczek
- spec adapterized,
- do not include .packlist file in %%files.

Revision 1.8  2001/01/13 01:44:34  dobrek
-Req:perl>=5.6 ;Realase=2;New rpm automat

Revision 1.7  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.2  2000/02/18 01:34:47  pius
- updated to 0.16

Revision 1.1  1999/11/05 17:03:41  pius
- initial release
